package de.hft.stuttgart.citydoctor2.gui.tree;

import java.util.List;

import de.hft.stuttgart.citydoctor2.datastructure.WaterObject;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class AllWaterNode extends Renderable {
	
	private final List<WaterObject> water;
	
	public AllWaterNode(List<WaterObject> water) {
		this.water = water;
	}

	@Override
	public void refreshTextColor() {
		// no use
	}

	@Override
	public String getText() {
		return "Water";
	}

	@Override
	public void visit(Renderer renderer) {
		renderer.renderWater(water);
	}

}
